Loading...
Searching...
No Matches
BALL::VIEW::MolecularDynamicsDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/molecularDynamicsDialog.h>`

Inheritance diagram for BALL::VIEW::MolecularDynamicsDialog:

## Public Slots

virtual void | accept ()

## Public Member Functions

| MolecularDynamicsDialog (QWidget *parent=NULL, const char *name="MolecularDynamicsDialog")
virtual | ~MolecularDynamicsDialog ()
float | getSimulationTime () const
Size | getNumberOfSteps () const
void | setNumberOfSteps (Size steps)
void | setTimeStep (float time)
float | getTimeStep () const
bool | useMicroCanonical () const
void | setMicroCanonical (bool state)
void | setTemperature (float temperature)
float | getTemperature () const
QString | getDCDFile () const
void | setDCDFile (const String &name)
Size | getStepsBetweenRefreshs () const
void | setAmberDialog (AmberConfigurationDialog *amber_dialog)
void | setCharmmDialog (CharmmConfigurationDialog *charmm_dialog)
void | setMMFF94Dialog (MMFF94ConfigurationDialog *dialog)
void | selectForceField (Position nr)
| Select the forcefield, nr are the enum values in MolecularStructure.
Position | selectedForceField () const
| Return the ID of the selected forcefield (see enum values in MolecularStructure).
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Protected Slots

virtual void | enableDCDFileSelected ()
void | advancedOptions ()
void | chooseDCDFile ()
void | timeChanged ()

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for performing MD simulations

Definition at line 29 of file molecularDynamicsDialog.h.

## Constructor & Destructor Documentation

## MolecularDynamicsDialog()

BALL::VIEW::MolecularDynamicsDialog::MolecularDynamicsDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "MolecularDynamicsDialog" )

## ~MolecularDynamicsDialog()

virtual BALL::VIEW::MolecularDynamicsDialog::~MolecularDynamicsDialog | ( |  | ) |

virtual

## Member Function Documentation

## accept

virtual void BALL::VIEW::MolecularDynamicsDialog::accept | ( |  | ) |

virtual slot

## advancedOptions

void BALL::VIEW::MolecularDynamicsDialog::advancedOptions | ( |  | ) |

protected slot

## chooseDCDFile

void BALL::VIEW::MolecularDynamicsDialog::chooseDCDFile | ( |  | ) |

protected slot

## enableDCDFileSelected

virtual void BALL::VIEW::MolecularDynamicsDialog::enableDCDFileSelected | ( |  | ) |

protected virtual slot

## getDCDFile()

QString BALL::VIEW::MolecularDynamicsDialog::getDCDFile | ( |  | ) | const

## getNumberOfSteps()

Size BALL::VIEW::MolecularDynamicsDialog::getNumberOfSteps | ( |  | ) | const

## getSimulationTime()

float BALL::VIEW::MolecularDynamicsDialog::getSimulationTime | ( |  | ) | const

## getStepsBetweenRefreshs()

Size BALL::VIEW::MolecularDynamicsDialog::getStepsBetweenRefreshs | ( |  | ) | const

## getTemperature()

float BALL::VIEW::MolecularDynamicsDialog::getTemperature | ( |  | ) | const

## getTimeStep()

float BALL::VIEW::MolecularDynamicsDialog::getTimeStep | ( |  | ) | const

## selectedForceField()

Position BALL::VIEW::MolecularDynamicsDialog::selectedForceField | ( |  | ) | const

Return the ID of the selected forcefield (see enum values in MolecularStructure).

## selectForceField()

void BALL::VIEW::MolecularDynamicsDialog::selectForceField | ( | Position | nr | ) |

Select the forcefield, nr are the enum values in MolecularStructure.

## setAmberDialog()

void BALL::VIEW::MolecularDynamicsDialog::setAmberDialog | ( | AmberConfigurationDialog * | amber_dialog | ) |

## setCharmmDialog()

void BALL::VIEW::MolecularDynamicsDialog::setCharmmDialog | ( | CharmmConfigurationDialog * | charmm_dialog | ) |

## setDCDFile()

void BALL::VIEW::MolecularDynamicsDialog::setDCDFile | ( | const String & | name | ) |

## setMicroCanonical()

void BALL::VIEW::MolecularDynamicsDialog::setMicroCanonical | ( | bool | state | ) |

## setMMFF94Dialog()

void BALL::VIEW::MolecularDynamicsDialog::setMMFF94Dialog | ( | MMFF94ConfigurationDialog * | dialog | ) |

## setNumberOfSteps()

void BALL::VIEW::MolecularDynamicsDialog::setNumberOfSteps | ( | Size | steps | ) |

## setTemperature()

void BALL::VIEW::MolecularDynamicsDialog::setTemperature | ( | float | temperature | ) |

## setTimeStep()

void BALL::VIEW::MolecularDynamicsDialog::setTimeStep | ( | float | time | ) |

## timeChanged

void BALL::VIEW::MolecularDynamicsDialog::timeChanged | ( |  | ) |

protected slot

## useMicroCanonical()

bool BALL::VIEW::MolecularDynamicsDialog::useMicroCanonical | ( |  | ) | const